package com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.cg.reservemanagementcenter.reserveManage.entity.DocumentInfo;

/**
 * 流程文件信息表 mapper
 * @author: 王强
 * @create: 2022-10-26 14:30
 **/
@MyBatisMapper
public interface DocumentInfoMapper extends BaseMapper<DocumentInfo> {

    /**
     * 根据  项目储备id 删除数据
     * @param proId
     */
    void deleteInfoByProId(String proId);

    /**
     * 根据项目储备id 查询数据
     * @param proId
     * @return
     */
    DocumentInfo getInfoByProId(String proId);
}
