package com.jeeplus.modules.sg.balancedlibrary.materialReportDetails.entity;

import com.jeeplus.core.persistence.DataEntity;

/**
 * 查看详情
 * @author: 王强
 * @create: 2022-10-20 15:12
 **/
public class LikuDetailDo extends DataEntity<LikuDetailDo> {

    private String comparisonType;//利库类型
    private Double numberNiches;//利库数量
    private String batch;//利库批次号
    private String warehouse;//库存地

    /**
     * 储备项目名称
     * */
    private String nameOfReserve;

    /**
     * 物料编码
     * */
    private String materialCode;

    public String getComparisonType() {
        return comparisonType;
    }

    public void setComparisonType(String comparisonType) {
        this.comparisonType = comparisonType;
    }

    public Double getNumberNiches() {
        return numberNiches;
    }

    public void setNumberNiches(Double numberNiches) {
        this.numberNiches = numberNiches;
    }

    public String getBatch() {
        return batch;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public String getWarehouse() {
        return warehouse;
    }

    public void setWarehouse(String warehouse) {
        this.warehouse = warehouse;
    }

    public String getNameOfReserve() {
        return nameOfReserve;
    }

    public void setNameOfReserve(String nameOfReserve) {
        this.nameOfReserve = nameOfReserve;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
}
